Subject: bug#67173: 27.1; support raw string literals in C mode (a GNU C extension)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Nov 2023 07:57:40 +0200

> Date: Wed, 15 Nov 2023 22:23:15 +0000
> Cc: Rasmus Villemoes <[email-masked]>, [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > > I do not know if that can be fixed by simply adding
> > > c-before-change-check-raw-strings to C mode's
> > > c-get-state-before-change-functions.
> 
> That's the basic idea, yes, with another function to be added to
> c-before-font-lock-functions.  But there are several detailed changes
> necessary, too.
> 
> > Alan, are you looking into this?
> 
> I am now.  What's bothering me at the moment is that this is going to
> make C Mode slower.  I suppose I could add an option into C Mode so that
> raw strings can be enabled only when they're needed, but this would be
> quite awkward, and a new departure for CC Mode.

We could support fontification of raw strings only when
font-lock-maximum-decoration is set, or something.  Any solution that
makes this optional behavior is okay from where I stand, since I don't
believe raw string literals will be used frequently enough to make
this a UX issue.